Bug 186976 - Suspending results in deleted kernel modules and non-responding laptop
Suspending results in deleted kernel modules and non-responding laptop
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-27 14:38 EST by Frederik Hertzum
Modified: 2008-05-06 11:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frederik Hertzum 2006-03-27 14:38:48 EST
Description of problem:
When suspending my computer the computer refuses to wake and when it finally is
possible to turn it on, all my kernel modules are deleted. 

Version-Release number of selected component (if applicable):
kernel version: 2.6.15-1.2054_FC5

How reproducible:
Always. May be dependent on hardware or other components (see below).

Steps to Reproduce:
1. Install Fedora Core 5 and reboot
2. Suspend the computer.
3. Wait till the computer will turn on again - all kernel modules should be
deleted, and only drivers that are built in, should work.
Actual results:
No respons from the computer, when suspended. Ones the computer does turn on
again, the kernel modules of the running kernel are gone.

Expected results:
The computer should turn on when asked to, and no kernel modules should be missing.

Additional info:
My computer is a Fujitsu-Siemens Amilo 7300, with a Celeron-M 1.4 GHz CPU, VIA
PN800 Northbridge + VIA 8132 Southbridge (name is incomplete, but I can't
remember it of the top of my head, and I'm not sitting with the computer right now).
When I did a forced installation of the kernel, all the modules re-appeared (as
expected), so I am not too worried about replicating it if needed.
Needed logs, will be uploaded on demand.

No updates have been installed on my computer. This is a clean install of Fedora
Core 5.
Comment 1 Frederik Hertzum 2006-04-19 10:53:28 EDT
The problem persist with the 2.6.16-1.2080_FC5 kernel.

The malnamed southbridge is named VT8237. Also kudzu reports my northbridge to
be a PM880 chip, and not a PN800 as indicated by the BIOS.
Comment 2 Phil Knirsch 2007-01-23 09:57:38 EST
That clearly sounds like a kernel bug though, as pm-utils itself never removes
any files.


Read ya, Phil
Comment 3 Bug Zapper 2008-04-03 22:17:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:40:00 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.